Subject: bug#42419: is this a sick joke ?

From: Paul Eggert <[email-masked]>
Date: Sat, 18 Jul 2020 13:06:54 -0700

Builds work for me on Solaris 10 sparc, but then I don't have a 
locally-installed /usr/local/bin/grep to get in the way and cause trouble. I 
suggest removing /usr/local/bin from your PATH, or setting the GREP environment 
variable to be the 'grep' you prefer.

I used PATH='/usr/bin:/usr/ccs/bin:/r/share1/src/developerstudio12.6/bin' in my 
build, and got this:

checking for grep that handles long lines and -e... /usr/xpg4/bin/grep
checking for egrep... /usr/xpg4/bin/grep -E

It is true that you need a working 'grep' to build GNU grep, just as you need a 
working 'cp' to build GNU cp. The GNU coding standards allow builds to depend on 
a small set of POSIX tools, and 'grep' and 'cp' are both on the list.